## ros-foxy-dbw-polaris-description 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dbw_polaris_description)

find_package(ament_cmake REQUIRED)

# Uncompress meshes in root of meshes folder
FILE(GLOB files RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/meshes" "${CMAKE_CURRENT_SOURCE_DIR}/meshes/*.tar.gz")
FOREACH(filename ${files})
  MESSAGE(STATUS "Extracting file: ${filename}")
  execute_process(
    COMMAND ${CMAKE_COMMAND} -E tar xzf ${filename}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/meshes
  )
ENDFOREACH(filename)

install(DIRECTORY meshes urdf launch
        DESTINATION share/${PROJECT_NAME}
        PATTERN *.tar.gz EXCLUDE
)

ament_package()

=== debian/changelog ===
ros-foxy-dbw-polaris-description (2.1.1-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 24 Jan 2023 05:00:00 -0000

ros-foxy-dbw-polaris-description (2.1.0-1focal) focal; urgency=high

  * Sync ament_cmake and ament_cmake_ros in each CMakeLists.txt/package.xml
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-foxy-dbw-polaris-description (2.0.3-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-foxy-dbw-polaris-description (2.0.2-1focal) focal; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-foxy-dbw-polaris-description (2.0.1-1focal) focal; urgency=high

  * Change parameters to work in Foxy and Galactic
  * Contributors: Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 23 Feb 2022 05:00:00 -0000

ros-foxy-dbw-polaris-description (2.0.0-1focal) focal; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 03 Nov 2021 04:00:00 -0000

=== debian/control ===
Source: ros-foxy-dbw-polaris-description
Section: misc
Priority: optional
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-rviz2 <!nocheck>, ros-foxy-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-foxy-dbw-polaris-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-robot-state-publisher, ros-foxy-urdf, ros-foxy-xacro, ros-foxy-ros-workspace
Description: URDF and meshes describing Polaris vehicles.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-dbw-polaris-description//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
